Jump to content
From ArchWiki

This article or section needs expansion.

Reason: Move language-independent parts of Input Japanese using uim here. (Discuss in Talk:Uim)

uim (universal input method) is a multilingual input method framework.

## Installation

Install the uimAUR package.

## Usage

Add the following to xprofile or xinitrc:

    export GTK_IM_MODULE=uim
    export QT_IM_MODULE=uim
    uim-xim &
    export XMODIFIERS=@im=uim

uim provides several toolbars (`uim-toolbar-*`), if you want to autostart one you can also do it here.

## Configuration

uim provides several GUI preference editors (`uim-pref-*`).

Choose your preferred input method as Default input method.

The factual accuracy of this article or section is disputed.

Reason: Running `uim-xim` does not seem to apply settings, restarting applications however seems to do the trick. (Discuss in Talk:Uim)

You can run `uim-xim` or restart X to test your settings.

## See also

- GitHub wiki introduction
- Wikibook introduction
- Wikipedia:uim

Category:

- Input methods

Hidden categories:

- Pages or sections flagged with Template:Expansion
- Pages or sections flagged with Template:Accuracy